Enviar una invitacion a reseña de woku por correo o WhatsApp
curl --request POST \
--url https://clientapi.woku.app/v1/wokus/{id}/invitations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channel": "whatsapp",
"recipients": [
"56912345678"
],
"language": "es"
}
'import requests
url = "https://clientapi.woku.app/v1/wokus/{id}/invitations"
payload = {
"channel": "whatsapp",
"recipients": ["56912345678"],
"language": "es"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({channel: 'whatsapp', recipients: ['56912345678'], language: 'es'})
};
fetch('https://clientapi.woku.app/v1/wokus/{id}/invitations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"channel": "email",
"accepted": [
"<string>"
],
"rejected": [
{
"recipient": "<string>",
"reason": "invalid_recipient"
}
]
}{
"statusCode": 400,
"message": [
"email must be a valid email",
"password must be at least 8 characters"
],
"error": "Bad Request"
}v1 - invitations
Enviar una invitacion a reseña de woku por correo o WhatsApp
Despacha la invitación de reseña del woku a una lista de destinatarios. El woku debe pertenecer a la empresa del llamador, estar abierto y aceptar reseñas. Equivale a POST /v1/wokus/:wokuId/share para el canal de email.
POST
/
v1
/
wokus
/
{id}
/
invitations
Enviar una invitacion a reseña de woku por correo o WhatsApp
Autorizaciones
Clave API secreta de la empresa.
Encabezados
Clave generada por el cliente para hacer que un envío sea seguro para reintentar. Un reintento con la misma clave devuelve el resultado original en lugar de despachar de nuevo.
Parámetros de ruta
Id del woku
Cuerpo
application/json
Canal de entrega para las invitaciones
Opciones disponibles:
email, whatsapp Ejemplo:
"whatsapp"
Destinatarios: direcciones de correo electrónico para el canal email, números de teléfono (dígitos, código de país incluido, p. ej. 56912345678) para whatsapp
Maximum array length:
100Ejemplo:
["56912345678"]
Idioma de la plantilla de invitación
Opciones disponibles:
es, en Ejemplo:
"es"
Respuesta
Resumen de despacho por destinatario